Bug 12282 - пропадает transport.cdb
: пропадает transport.cdb
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/postfix)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 27685 30940
  Show dependency tree
 
Reported: 2007-07-09 14:53 by
Modified: 2016-03-09 12:49 (History)


Attachments
postconf.bz2 (4.94 KB, application/x-bzip2)
2007-07-10 22:37, Zerg
no flags Details
transport.bz2 (3.81 KB, application/x-bzip2)
2007-07-10 22:38, Zerg
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-09 14:53:59
При обновлении пакета пропадает файл transport.cdb, сервис перезапускается, но 
не работает.
Работает после генерации файла заново вручную.
У меня 2 раза проявлялось при обновлении:
Compact3.0 -> postfix-1:2.3.9-alt1
postfix-1:2.3.9-alt1 -> postfix-1:2.3.11-alt1
------- Comment #1 From 2007-07-10 12:37:50 -------
У меня при обновлении с транспортом всё в порядке.
Необходимы примеры конфигурации, на которой этот эффект воспроизводится.
------- Comment #2 From 2007-07-10 22:37:46 -------
Created an attachment (id=2083) [details]
postconf.bz2
------- Comment #3 From 2007-07-10 22:38:14 -------
Created an attachment (id=2084) [details]
transport.bz2
------- Comment #4 From 2007-07-10 22:40:50 -------
postfix-pcre-2.3.11-alt1
postfix-control-1.6.1-alt1
postfix-2.3.11-alt1
postfix-tls-2.3.11-alt1

Что-нибудь еще?
------- Comment #5 From 2007-07-10 23:28:02 -------
Хорошо бы сравнить вывод от "postconf -n" до и после обновления.
------- Comment #6 From 2007-07-11 19:22:40 -------
(In reply to comment #5)
> Хорошо бы сравнить вывод от "postconf -n" до и после обновления.
Я не против. Но раньше следующей версии postfix в 4.0 не смогу.
------- Comment #7 From 2007-08-14 01:27:49 -------
Обновил до 2.3.11-alt1, transport.cdb пропал, разницы в выводе от 
`postconf -n` вообще нет
------- Comment #8 From 2007-08-14 01:30:25 -------
в выводе от postconf ьез параметров разница только в mail_release_date и 
mail_version
------- Comment #9 From 2007-08-14 01:44:14 -------
Zerg, у тебя скорее всего local misconfiguration.
# postconf -n transport_maps
?
------- Comment #10 From 2007-08-14 02:26:19 -------
(In reply to comment #9)
> Zerg, у тебя скорее всего local misconfiguration.
> # postconf -n transport_maps
transport_maps = cdb:$config_directory/transport
# postconf -n config_directory
config_directory = /etc/postfix

------- Comment #11 From 2007-08-14 02:30:53 -------
Если подставить значение $config_directory, то работает правильно.
Эта ошибка при обновлении postfix появилась очень давно.
------- Comment #12 From 2007-12-06 02:31:32 -------
Fixed in 2.4.6-alt1.
------- Comment #13 From 2007-12-06 13:48:40 -------
Уря!
------- Comment #14 From 2012-10-31 21:49:41 -------
не исправлено в postfix-2.9.4-alt1
------- Comment #15 From 2012-10-31 21:50:18 -------
*** Bug 27621 has been marked as a duplicate of this bug. ***
------- Comment #16 From 2012-11-21 15:36:04 -------
в postfix-2.9.4-alt1 опять
------- Comment #17 From 2012-11-21 15:36:33 -------
(В ответ на комментарий №16)
> в postfix-2.9.4-alt1 опять
в postfix-2.9.4-alt2
------- Comment #18 From 2012-11-21 15:53:13 -------
Кстати, это уже на другой системе (и на Сизифе вместо "последнего бранча").
------- Comment #19 From 2012-11-22 17:01:47 -------
Да, postconf -E просто выкинули из апстрима :((, соответственно если в main.cf
использовать подстановки, они больше не резолвялся

Будем думать. Пока workaround: указывать /etc/postfix вместо $config_directory
------- Comment #20 From 2012-11-22 17:20:51 -------
(В ответ на комментарий №19)
> Будем думать. Пока workaround: указывать /etc/postfix вместо $config_directory
Если ничего не придумаете, то хотя бы в дефолтных файлах конфигов заменить в
пакете.
------- Comment #21 From 2012-11-28 02:25:23 -------
(В ответ на комментарий №19)
> Да, postconf -E просто выкинули из апстрима :((, соответственно если в main.cf
> использовать подстановки, они больше не резолвялся
> 
> Будем думать. Пока workaround: указывать /etc/postfix вместо $config_directory

Придумали?
------- Comment #22 From 2012-11-28 13:56:34 -------
(В ответ на комментарий №20)
> Придумали?
Да, но с оговоркой.

postconf -E работал не так, как от него ожидалось, уже в P6 (возможно, всегда).
Все макросы, значения которых не заданы явно (хотя и непусты по умолчанию),
превращались в пустую строку, потому что рекурсивная подстановка возможна
только в явно прочитанных из файла данных. Теперь этот код в апстриме полностью
убрали и переписали логику, но ситуация не изменилась: настройки по умолчанию
подставить нельзя.

Соответственно, я переписал часть с явным вызовом рекурсивной подстановки,
попутно исправив две наведённые ошибки:
1. Рекурсивная подстановка в текущей реализации выдаёт ошибку на $-конструкцию,
не являющуюся макроподстановкой. Пришлось написать довольно прямой хак,
предварительно обрабатывающий строку для подстановки.
2. Несмотря на синтаксическую идентичность задания cdb-карты $alias_database и
прочих cdb-карт, $alias_database нельзя собирать с помощью postmap.
Соответствующая проверка в chroot-сценарии была довольно наивной,
$alias_database теперь упоминается чаще, пришлось её тоже переписать.

Ситуация на 2.9.4-alt3 аналогична 2.5.14, данная ошибка не воспроизводится.

Вопрос в том, рыть ли дальше.
------- Comment #23 From 2012-11-29 05:18:40 -------
2zerg: закроете?
------- Comment #24 From 2012-11-29 13:53:19 -------
(В ответ на комментарий №23)
> 2zerg: закроете?
Не против.
------- Comment #25 From 2012-11-29 19:27:10 -------
Закрываю.
------- Comment #26 From 2012-11-29 20:56:42 -------
Опечатываю ;-)
------- Comment #27 From 2016-03-09 12:10:35 -------
Всё еще не починено. И на работе и дома пропадает transport.cdb, после чего
почта идет непойми куда.
------- Comment #28 From 2016-03-09 12:23:23 -------
Не. У меня какая-то другая проблема после обновления postfix.
------- Comment #29 From 2016-03-09 12:49:37 -------
Оказалось, bug#31867